Pre-release — content may change.

Entity and resource types

List entity types

GET
/entity_types

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

sort?string

Comma-separated list of attributes to sort by. Prefix with - for descending order (-created_at,family_name).

page?

Offset pagination parameters.

filter?

Keys take the form filter[<attribute>_<predicate>]=<value>, repeatable per query.

Common predicates by attribute type:

  • String / text / uuid: eq, not_eq, cont, not_cont, matches, start, end, present, blank, null, not_null, in, not_in

Example: ?filter[slug_eq]=person

fields[entity_types]?array<>

Sparse-fieldset selection.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/entity_types"
{  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "type": "entity_types",      "attributes": {        "uuid": "095be615-a8ad-4c33-8e9c-c7612fbf6c9f",        "name": "string",        "code": "string",        "deletable": true,        "custom": true      },      "relationships": {        "resource_types": {          "data": [            {              "type": "resource_types",              "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"            }          ],          "links": {            "self": "/entity_types/7247ad7d-9275-454b-9e3a-0570e403739e/relationships/resource_types",            "related": "/entity_types/7247ad7d-9275-454b-9e3a-0570e403739e/resource_types"          }        }      }    }  ],  "meta": {    "page": {      "total_items": 0,      "total_pages": 0,      "number": 0,      "size": 0    }  }}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}
{  "errors": [    {      "status": 0,      "title": "string",      "source": {        "pointer": "string",        "parameter": "string"      },      "meta": {        "error": "string",        "field": "string"      }    }  ]}